import {
	myRequest
} from '../request.js'
export default {
	//修改客户端用户
	appuserInfo(data) {
		return myRequest({
			url: '/app/user/edit',
			method: 'post',
			data: data,
		})
	},
	// 修改用户活动邀请码
	shareActivityCode(data) {
		return myRequest({
			url: '/app/user/edit/shareActivityCode',
			method: 'post',
			data: data,
		})
	},
	appInfoAttached(data) {
		return myRequest({
			url: '/app/user/infoAttached',
			method: 'get',
			data: data,
		})
	},
	getSchoolInfo(data) {
		return myRequest({
			url: '/school/info/getInfo',
			method: 'get',
			data: data,
		})
	},
	updateSchoolInfo(data) {
		return myRequest({
			url: '/school/info/edit',
			method: 'post',
			data: data,
		})
	},
	getUserBuy(data) {
		return myRequest({
			url: '/system/user/list',
			method: 'get',
			data: data,
		})
	},
	rankList(data) {
		return myRequest({
			url: '/app/user/rankingList',
			method: 'get',
			data: data,
		})
	},
	getUserSubscribeRecentExam(data) {
		return myRequest({
			url: '/user/subscribe/recentExam',
			method: 'get',
			data: data,
		})
	},
	
	userConfirmInfoDetail(data) {
			return myRequest({
				url: '/user/confirm/info/detail',
				method: 'GET',
				data: data,
			})
		},
		
		userConfirminfo(data) {
				return myRequest({
					url: '/user/confirm/info',
					method: 'post',
					data: data,
				})
			},
	
	
	
}
